Bug 1291467 - openstack-packstack: The generated by packstack answer file shouldn't include nagios related lines, as OSP 8 will not be including nagios at all.
openstack-packstack: The generated by packstack answer file shouldn't include...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
medium Severity high
: ---
: 8.0 (Liberty)
Assigned To: Martin Magr
Shai Revivo
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 17:24 EST by Alexander Chuzhoy
Modified: 2016-05-09 12:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-09 12:04:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 263315 None None None 2016-01-04 10:52 EST

  None (edit)
Description Alexander Chuzhoy 2015-12-14 17:24:13 EST
openstack-packstack: The generated by packstack answer file shouldn't include nagios related lines, as OSP 8 will not be including nagios at all.

This created confusion as one might think that nagios is supported.

Environment:
openstack-packstack-7.0.0-0.7.dev1661.gaf13b7e.el7ost.noarch


Steps to reproduce:
1. Install openstack-packstack
2. packstack --gen-answer-file filename
3. grep -i nagios filename


Result:
# Specify 'y' to install Nagios to monitor OpenStack hosts. Nagios
CONFIG_NAGIOS_INSTALL=n
# Password of the nagiosadmin user on the Nagios server.
CONFIG_NAGIOS_PW=PW_PLACEHOLDER

Expected result:
No nagios lines at all to avoid confusion.
Comment 4 Ivan Chavero 2016-05-09 12:04:43 EDT
Currently nagios is disabled by default in OSP.
Comment 5 Ivan Chavero 2016-05-09 12:05:48 EDT
Packstack is a proof of concept tool, the proper installation mechanism for production is to use OSP Director.

Note You need to log in before you can comment on or make changes to this bug.